Skip to content
Browse API reference

Request User Data

Deprecated

GDPR introduced Article 15: Right of access by the data subject. This states that users have the right to request access to the data held on them. If you receive this request from your user, you may also need to forward the request to your vendors, such as Castle, so that the vendor can provide data related to this user as well. This API endpoint is designed to be used for these User Data Access Requests.

Important: before you call this API you first need to configure your company's privacy email.

When calling this endpoint, Castle will compile records pertaining to the associated user. When the data compilation is completed, an email containing a data download link will be sent to the configured privacy email address.

Request

POST https://api.castle.io/v1/privacy/users/{id}

Path parameters

idrequired
string

ID of the user

Response

202
No body

Accepted

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

500
No body

There’s an issue on our end.